Description: Fix missing icons due to change in Adwaita icon pack 3.38
Author: Victor Vásquez, David Rees
Origin: upstream, https://gitlab.com/jenslody/gnome-shell-extension-openweather/-/issues/278#note_438708938
Bug: https://gitlab.com/jenslody/gnome-shell-extension-openweather/-/issues/278
Reviewed-by: Anthony Fok <foka@debian.org>
Last-Update: 2020-11-09
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/src/openweathermap_org.js
+++ b/src/openweathermap_org.js
@@ -169,10 +169,10 @@
     }
 
     for (let i = 0; i < iconname.length; i++) {
-        if (night && this.hasIcon(iconname[i] + '-night'))
-            return iconname[i] + '-night';
-        if (this.hasIcon(iconname[i]))
-            return iconname[i];
+        if (night && this.hasIcon(iconname[i] + '-night-symbolic'))
+            return iconname[i] + '-night-symbolic';
+        if (this.hasIcon(iconname[i] + '-symbolic'))
+            return iconname[i] + '-symbolic';
     }
     return 'weather-severe-alert';
 }
